[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TListItems.SetItem

Set the value in the indexed Item property.

## Declaration

Source position: comctrls.pp line 1161

`protected procedure TListItems.SetItem(`
`const AIndex: Integer;`
`const AValue: TListItem`
`);`

## Arguments

`AIndex` |  | Ordinal position in the list for the property value updated in the method.
`AValue` |  | New value for the indexed Item property.

## See also

TListItems.Item |  | Provides indexed access to the TListItem instance in the container by their ordinal position.
TListItem |  | Represents the items created in TCustomListView and descendants.